#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include "time.h"

int main (int argc,char **argv){
	time_tv_t tv1,tv2,tv3;
	u_int32_t ts1,ts2;
	u_int32_t hz1,hz2;
	u_int8_t  buf[sizeof(time_tv_t)];
	
	printf ("========================================\n");

	tv1=time_gettimeofday();
	printf ("gettimeofday={%ld,%ld}\n",tv1.sec,tv1.usec);
	hz1=44100;
	ts1=time_tvto32(tv1,hz1);
	hz2=16000;
	ts2=time_32to32(ts1,hz1,hz2);
	printf ("timeofday ==> ts1 %u(hz=%u) ==>ts2 %u(hz=%u)\n",
		ts1,hz1,ts2,hz2);


	printf ("========================================\n");

	tv1.sec=100;
	tv1.usec=0;
	tv2.sec=-200;
	tv2.usec=100;
	printf ("tv1={%ld,%ld} tv2={%ld,%ld}\n",tv1.sec,tv1.usec
		,tv2.sec,tv2.usec);
	tv3=time_addtv(tv1,tv2);
	printf ("tv1+tv2={%ld,%ld}\n",tv3.sec,tv3.usec);
	tv3=time_subtv(tv1,tv2);
	printf ("tv1-tv2={%ld,%ld}\n",tv3.sec,tv3.usec);
	tv3=time_abstv(tv2);
	printf ("abs(tv2)={%ld,%ld}\n",tv3.sec,tv3.usec);
	tv3=time_subtv(tv1,time_abstv(tv2));
	printf ("tv1-abs(tv2)={%ld,%ld}\n",tv3.sec,tv3.usec);
	time_htontv(buf,tv1);
	tv3=time_ntohtv(buf);
	printf ("ntoh(hton(tv1))={%ld,%ld}\n",tv3.sec,tv3.usec);

	

	printf ("========================================\n");
	hz1=10*1000;
	printf ("sleep 1sec ts==1sec==>newts tsclk=%uhz\n",hz1);
	tv1=time_gettimeofday();
	ts1=time_tvto32(tv1,hz1);
	sleep(1);
	tv2=time_gettimeofday();	
	ts1+=hz1;
	tv2.sec+=100;
	tv3=time_32totimeofday(ts1,hz1,tv2);
	tv2.sec-=100;
	printf ("before sleep:sec%ld usec%ld \n",tv1.sec,tv1.usec);
	printf ("systimer    :sec%ld usec%ld \n",tv2.sec,tv2.usec);
	printf ("sys + 1sects:sec%lu usec%lu \n",tv3.sec,tv3.usec);

}










