#!/bin/sh

case "$1" in
    -[A-Z]*)
	SIG=$1;
	shift;
	;;
    * )
	SIG=""
	;;
esac
   
if [ ! $# -eq $# ];then
    echo "usage:$0 [-SIGNAME] first cnt(<10)"
    exit 1;
fi

if [ $2 -gt 10 ];then
    echo "ERROR:cnt>10."
    exit 1;
fi
PID=$1;
CNT=$2;
while [ $CNT -ge 1 ];do
    kill $SIG $PID;
    PID=`expr $PID + 1`;
    CNT=`expr $CNT - 1`;
done

